Summary: Programs to configure ISA Plug-And-Play devices on a linux machine.
Name: isapnptools
Version: 1.20
Release: 1
Copyright: GPL
Group: Utilities/System
Source: ftp://sunsite.unc.edu/pub/Linux/system/hardware/isapnptools-%{version}.tgz
Source1: http://www.roestock.demon.co.uk/isapnptools/release.c
URL: http://www.roestock.demon.co.uk/isapnptools/
Patch1: isapnptools-nameprint.patch
BuildRoot: /var/tmp/%{name}-root

Serial: 2000030901
Distribution: TurboLinux Japan

Summary(ja): ISA PnP ץ

%description
These programs allow ISA Plug-And-Play devices to be configured
on a Linux machine.

This program is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications
because it may already activate some cards so that the drivers
can find them, and these tools can unconfigure them, or change
their settings causing all sorts of nasty effects. If you have
(for example) plug and play network cards that already work, I
suggest you read the manual page isapnp.conf(5) on the format
of the configuration file very carefully.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/{man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc

%setup
cp $RPM_SOURCE_DIR/release.c .
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/{sbin,usr/sbin,usr/man/man5,usr/man/man8}
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/share/man/{man5,man8}
make installdir=$RPM_BUILD_ROOT prefix=/usr \
	INSTALLMANDIR=$RPM_BUILD_ROOT/usr/share/man \
	INSTALLBINDIR=$RPM_BUILD_ROOT/sbin \
	INSTALLLIBDIR=$RPM_BUILD_ROOT/lib \
	INSTALLSHAREDIR=$RPM_BUILD_ROOT/usr/share \
	install
gzip -9 $RPM_BUILD_ROOT/usr/share/man/*/*
gzip -9 CHANGES COPYING FILES INSTALL README* 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES.gz COPYING.gz FILES.gz INSTALL.gz README*.gz
%doc isapnp.conf isapnp.lsm config-scripts
%config (noreplace) /etc/isapnp.gone
/sbin/*
/lib/libisapnp.a
/usr/share/man/*/*
/usr/share/pnp

%changelog
* Mon Dec 6 1999 Roger Luethi <rluethi@turbolinux.com>
- update to 1.20 (had to include extra source release.c which was missing in
  the tar ball)
- changed description to refer to isapnp.conf(5) rather than to
  "section 4 below"
- deleted isapnptools-1.16-Makefile.patch (unnecessary)
- added /lib/libisapnp.a, /etc/isapnp.gone and /usr/share/pnp
- moved man pages from /usr/man to /usr/share/man
- gzipped documentation

* Mon Apr  5 1999 Jim Pick <jim@jimpick.com>
- updated 1.18

* Mon Nov 16 1998 Tadayoshi Ohkuma <tad@pht.co.jp>
- updated 1.17.
- added Mr Kawasima's patch.

* Tue Oct 13 1998 Scott Stone <sstone@turbolinux.com>
- Version 1.16

* Fri Aug 21 1998 Tadayoshi Ohkuma <tad@pht.co.jp>
- rebuilt for glibc TL

* Mon Dec 22 1997 Scott Stone <sstone@turbolinux.com>
- Works with libc5

* Fri Oct 03 1997 Michael Fulbright <msf@redhat.com>
- added code to avoid probing in IO port ranges in /proc/ioports

* Fri Aug 22 1997 Mike Wangsmo <wanger@redhat.com>
- Built against glibc

* Thu Jul 17 1997 Timo Karjalainen <timok@iki.fi>
- Updated to version 1.11
- Added RPM_OPT_FLAGS
- Uses BuildRoot

